LogEntry.CallInfo (accounting-node 1.4.0-2.17.0 API)
Date: 2013-11-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.logparser
Class LogEntry.CallInfo

    java.lang.Object
      org.gcube.common.accounting.node.logparser.LogEntry.CallInfo

Enclosing class:
  LogEntry

    public class LogEntry.CallInfo

extends Object

Store info about the call

Author:
  Andrea Manzi(CERN)

Constructor Summary
`LogEntry.CallInfo(String from, String to)` constructor

Method Summary
`String` | `getCallerIP()` get the caller IP
`String` | `getServiceClass()` get the serviceclass
`String` | `getServiceName()` get the servicename
`void` | `setCallerIP(String callerIP)` set the caller IP
`void` | `setServiceClass(String serviceClass)` set the serviceclass
`void` | `setServiceName(String serviceName)` set the servicename
`String` | `toString()` tostring

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogEntry.CallInfo

    public LogEntry.CallInfo(String from,
                             String to)

  constructor

  Parameters:
    `from` - token
    `to` - token

Method Detail

### toString

    public String toString()

  tostring

  Overrides:
    `toString` in class `Object`

### getServiceClass

    public String getServiceClass()

  get the serviceclass

  Returns:
    serviceclass

### setServiceClass

    public void setServiceClass(String serviceClass)

  set the serviceclass

  Parameters:
    `serviceClass` -

### getServiceName

    public String getServiceName()

  get the servicename

  Returns:
    servicename

### setServiceName

    public void setServiceName(String serviceName)

  set the servicename

  Parameters:
    `serviceName` -

### getCallerIP

    public String getCallerIP()

  get the caller IP

  Returns:

### setCallerIP

    public void setCallerIP(String callerIP)

  set the caller IP

  Parameters:
    `callerIP` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.